const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "PAUSED",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
Workflow Runs
Pause Workflow Run
Pause an active workflow run
POST
/
api
/
v1
/
workflow-runs
/
:workflowRunId
/
pause
const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "PAUSED",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
Pause a workflow run. The agent stops conducting the workflow: outreach to the lead stops and any queued messages are cancelled. Inbound replies are still answered. The agent cannot be given another workflow run on this lead until this one is resumed, cancelled, or completed.
Pausing a workflow run that is already
This endpoint takes no body.
PAUSED succeeds and changes nothing.
Authentication
Requires thex-api-key header with a valid workspace API key.
Path Parameters
string
required
The workflow run to pause.
Response
boolean
Whether the request succeeded.
object
The workflow run in its new state. See
Get Workflow Run for the
full shape.
Errors
error
No workflow run with this id exists in your workspace.
error
The workflow run is already
COMPLETED or CANCELLED. Terminal workflow runs cannot change
status.const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/pause \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "PAUSED",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
